Subject: Ticket Assigned - Complaint about delivering Damaged bed
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 16:19:11 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint about delivering Damaged bed Hi All,

I have raised a complaint with you since 9th April Sunday morning about
receiving a damaged bed and all photos& videos has been shared with you
since then with no action at all from your side not even a follow up call!
My whole experience was horrible not just the bed from the delivery guys,
item and customer service.

I have raised a complaint with Dubai consumer rights number CMP-23-313924,
I’m requesting a refund to my account not store credit as this is a
manufacturing defects ASAP as this is an essential item I can’t sleep in my
own house and fixing do the damage ( wall & floor ) that happened to my
house.

Regards,

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6037724